Bug 1599042 - Hang during boot: nvme0: controller is down; will reset: CSTS=0xffffffff, PCI_STATUS=0xffff
Summary: Hang during boot: nvme0: controller is down; will reset: CSTS=0xffffffff, PCI...
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-08 08:02 UTC by Jan Vlug
Modified: 2019-02-21 21:11 UTC (History)
19 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-02-21 21:11:38 UTC


Attachments (Terms of Use)

Description Jan Vlug 2018-07-08 08:02:31 UTC
I have a brand new laptop on which I want to install Fedora from the live image (Windows 10 was pre-installed, but can be removed completely).

The boot process from the USB live image continues until these start jobs are running:

A start job is running for Monitoring of LVM2 mirrors, snapshots etc. using dmeventd or progress polling
A start job is running for udev Wait for complete device initialization

Then this message appears:
nvme0: controller is down; will reset: CSTS=0xffffffff, PCI_STATUS=0xffff
And then the system hangs.


Information from the BIOS of my system:
The BIOS states that the model of the sytem is: N140WU.
BIOS version: 1.05.02
KBC/EL firmware version: 1.05.02
ME FW version: 11.8.50.3434
Version 2.18.1263 American Megatrends

Comment 1 Jan Vlug 2018-07-08 09:23:19 UTC
I made a change in the BIOS in the Advanced screen to the SATA mode setting:

Originally SATA mode was set to: AHCI Mode
I selected for SATA mode: Intel RST Premium With Intel Optane System Acceleration

Now the Live Fedora image boots fully.

However, I do not see the SSD disk when Fedora is booted. Nor in the installer, the gparted, blivet-gui or disks. Only the USB pen with the live image is being reported. So I still cannot install Fedora to my system.

Comment 2 Jan Vlug 2018-07-09 21:57:00 UTC
Details about the SSD:
The disks is a Western Digital: WDS500G2X0C:
https://products.wdc.com/library/Spe...178-800181.pdf
https://products.wdc.com/library/Spe...879-810008.pdf
The bios states: PCIe 1.0, WDS500G2X0C-00L350
This link suggests that the SSD is supported under Linux:
https://www.anandtech.com/show/12543...and-ssd-review

I also found another report describing the issue that I have with exactly the same Western Digital SSD model:
https://community.wd.com/t/linux-sup...me-2018/225446

Comment 3 Jan Vlug 2018-07-09 21:59:43 UTC
Oops,now with working links:

Details about the SSD:
The disks is a Western Digital: WDS500G2X0C:
[url]https://products.wdc.com/library/SpecSheet/ENG/2178-800181.pdf[/url]
[url]https://products.wdc.com/library/SpecSheet/ENG/2879-810008.pdf[/url]
The bios states: PCIe 1.0, WDS500G2X0C-00L350
This link suggests that the SSD is supported under Linux:
[url]https://www.anandtech.com/show/12543/the-western-digital-wd-black-3d-nand-ssd-review[/url]

I also found another report describing the issue that I have with exactly the same Western Digital SSD model:
https://community.wd.com/t/linux-support-for-wd-black-nvme-2018/225446

Comment 4 Jan Vlug 2018-07-09 22:05:14 UTC
Discard comment 2 and 3, now hopefully without errors:

Details about the SSD:
The disks is a Western Digital: WDS500G2X0C:
https://products.wdc.com/library/SpecSheet/ENG/2178-800181.pdf
https://products.wdc.com/library/SpecSheet/ENG/2879-810008.pdf
The bios states: PCIe 1.0, WDS500G2X0C-00L350
This link suggests that the SSD is supported under Linux:
https://www.anandtech.com/show/12543/the-western-digital-wd-black-3d-nand-ssd-review

I also found another report describing the issue that I have with exactly the same Western Digital SSD model:
https://community.wd.com/t/linux-support-for-wd-black-nvme-2018/225446

Comment 6 Jan Vlug 2018-07-11 20:06:16 UTC
I replaced the WD Black SSD with a:
500GB Samsung 970 EVO NVME PCI-e 3.0 x4, M.2
This SSD is recognized correctly and Fedora 28 is running fine on it now.

I leave this bug open, because I'm not sure whether the issue was related to Fedora Linux or the SSD.

Comment 7 Jan Vlug 2018-08-16 11:30:41 UTC
See this link for a solution (I did not test it, because I do not have the disk any more):
https://community.wd.com/t/linux-support-for-wd-black-nvme-2018/225446/9?u=chrisyuan

Comment 8 Laura Abbott 2018-10-01 21:16:49 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.
 
Fedora 28 has now been rebased to 4.18.10-300.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.
 
If you experience different issues, please open a new bug report for those.

Comment 9 Richard Shaw 2018-10-09 16:30:18 UTC
Per this link[1] the fix is to:

In the GRUB boot menu, press e to edit startup parameter
Add nvme_core.default_ps_max_latency_us=5500 by the end of quiet splash
Ctrl-x to boot up, the installer should detect this disk in partition step.

After finishing finish installation, press shift while power on to enter GRUB again, add same kernel parameter nvme_core.default_ps_max_latency_us=5500, Ctrl-x to boot up.

You will see Ubuntu boot up successfully, edit /etc/default/grub, add parameter nvme_core.default_ps_max_latency_us=5500 again, execute sudo update-grub. so that every time boot up will contain this parameter in the grub automatically, no more manually edit.

[1] https://community.wd.com/t/linux-support-for-wd-black-nvme-2018/225446/9?u=chrisyuan

Comment 10 Jan Vlug 2018-10-15 16:52:44 UTC
The information at the link of the previous comment suggests that this issue has not been solved.

Comment 11 Justin M. Forbes 2019-01-29 16:24:36 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.20.5-100.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.

If you experience different issues, please open a new bug report for those.

Comment 12 Justin M. Forbes 2019-02-21 21:11:38 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.